OpenVDB 5.1.0

Public Types | Static Public Attributes | List of all members
TreeTraits< TreeT > Struct Template Reference

Useful traits for Tree types. More...

`#include <LeafManager.h>`

## Public Types
using | LeafIterType = typename TreeT::LeafIter

## Static Public Attributes
static const bool | IsConstTree = false

## Detailed Description

### template<typename TreeT>
struct openvdb::v5_1::tree::leafmgr::TreeTraits< TreeT >

Useful traits for Tree types.

## Member Typedef Documentation

## ◆ LeafIterType

using LeafIterType = typename TreeT::LeafIter

## Member Data Documentation

## ◆ IsConstTree

const bool IsConstTree = false
| static

The documentation for this struct was generated from the following file:

- LeafManager.h